find_inode_number
Prev | The Directory Cache | Next

## Name

find_inode_number — check for dentry with name

## Synopsis

`ino_t find_inode_number (` | struct dentry * | dir,
| struct qstr * | name`)`;

## Arguments

`dir`

  directory to check

`name`

  Name to find.

## Description

Check whether a dentry already exists for the given name, and return the inode number if it has an inode. Otherwise 0 is returned.

This routine is used to post-process directory listings for filesystems using synthetic inode numbers, and is necessary to keep `getcwd` working.

Prev | Up | Next
d_materialise_unique | Home | __d_drop